Skip single order - Fabric

Skip Single Order

cURL Example

curl --request PUT \
  --url https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip \
  --header 'Authorization: Bearer <token>'

Python Example

import requests

url = "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)

JavaScript Example

const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go Example

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip"

req, _ := http.NewRequest("PUT", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java Example

HttpResponse<String> response = Unirest.put("https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby Example

require 'uri'
require 'net/http'

url = URI("https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/skip")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Response Status Codes

Example Responses

Successful response

{
  "responseStatus": "OK",
  "message": "Request processed successfully",
  "data": {
    "Order": {
      "id": "6384462ab645220008a4358a",
      "status": "SKIPPED"
    },
    "dateSkipped": "2020-01-01T00:00:00.000Z",
    "nextScheduledOrders": {
      "newOrders": [
        "62d51ab385a8cd00092eb8b7"
      ],
      "subscriptions": [
        "62d51ab385a8cd00092eb8b7"
      ]
    },
    "errors": [
      {
        "lineItemId": 1,
        "code": "SUBSCRIPTION_NOT_FOUND"
      }
    ]
  }
}

Bad request response

{
  "responseStatus": "BAD_REQUEST",
  "message": "Bad request"
}

Unauthorized response

{
  "Message": "User is not authorized to access this resource with an explicit deny"
}

Not found response

{
  "responseStatus": "NOT_FOUND",
  "message": "Not found"
}

Authorization

Authorization: required header with the form Bearer <token> where <token> is your auth token.

Path Parameters

Response Description

The response will include the order details that were skipped.